Skip to main content
PUT
Replace a deployment's desired state with a whole `schemaVersion: 1` deployment body

Authorizations

token
string
cookie
required

JWT token stored in HTTP-only cookie

Path Parameters

clusterName
string
required

Query Parameters

namespace
string
required

namespace is required

Minimum string length: 1
dryRun
boolean

Return the plan without applying it

overwriteUnmanaged
boolean

Replace fields set outside this API (YAML editor, kubectl) instead of refusing

Body

application/json
schemaVersion
enum<number>
required
Available options:
1
metadata
object
required
spec
object
required

Response

Default Response

schemaVersion
enum<number>
required
Available options:
1
plan
object
required
deployment
object
dryRun
boolean